---
title: RTCDataChannel.reliable
slug: Web/API/RTCDataChannel/reliable
tags:
  - Experimental
  - Obsolete
  - Property
  - RTCDataChannel
  - Read-only
  - WebRTC
  - reliable
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}{{obsolete_header}}</p>

<p>The read-only <code>RTCDataChannel</code> property <code><strong>reliable</strong></code> indicates whether or not the data channel is reliable.</p>

<div class="warning">
<p>This property is obsolete. Use {{domxref("RTCDataChannel.ordered")}} instead in any new code, and update existing code as soon as possible.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>reliable</em> = <em>aDataChannel</em>.reliable;
</pre>

<h3 id="Value">Value</h3>

<p><code>true</code> if the {{domxref("RTCDataChannel")}}'s connection is reliable; <code>false</code> if it isn't.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD
</pre>

<h2 id="Specifications">Specifications</h2>

<p>No longer part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannel.reliable")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li>{{domxref("RTCDataChannel")}}</li>
 <li>{{domxref("RTCDataChannel.ordered")}}</li>
</ul>
